#  __  __               __           ____     __                               
# /\ \/\ \             /\ \         /\  _`\  /\ \                              
# \ \ \/'/'     __     \_\ \  __  __\ \ \/\_\\ \ \___      __    ____    ____  
#  \ \ , <    /'__`\   /'_` \/\ \/\ \\ \ \/_/_\ \  _ `\  /'__`\ /',__\  /',__\ 
#   \ \ \\`\ /\ \L\.\_/\ \L\ \ \ \_\ \\ \ \L\ \\ \ \ \ \/\  __//\__, `\/\__, `\
#    \ \_\ \_\ \__/.\_\ \___,_\ \____/ \ \____/ \ \_\ \_\ \____\/\____/\/\____/
#     \/_/\/_/\/__/\/_/\/__,_ /\/___/   \/___/   \/_/\/_/\/____/\/___/  \/___/ 
#       
# Skrypt oparty jest na licencji GPL. Autor: Sad Mephisto.
# Kontakt: sad.mephisto@gmail.com
                                                                       

#Teraz juz nie musisz modyfikowac zmiennej WORKING_DIR

set WORKING_DIR $module(scriptpath)
set KaduChessVersion "0.3-Calista"

set mycolor -1

source "$WORKING_DIR/data/init.kc"
source "$WORKING_DIR/data/moves.kc"
source "$WORKING_DIR/data/gui.kc"
source "$WORKING_DIR/data/protocol.kc"

on chat0 KC_recv KC_recv

set menuname "Kadu&Chess"

popup new $menuname
qmenu new $menuname
popup additem $menuname "&Pomoc" "display_help" 
popup addseparator $menuname
popup additem $menuname "&Informacje o KaduChess..." "display_about" "$WORKING_DIR/pics/KaduChessIcon.png"

#popup additem $menuname "Zapros gracza" "open_invitation"

if { [usermenu exists "Zapro do gry w szachy..." ]==0 } {
    usermenu add "Zapro do gry w szachy..." "send_invitation" "$WORKING_DIR/pics/KaduChessIcon.png"
}
